WCS3 upgrading issue (3.0.885 -> 3.0.1312). Cannot activate

Discussion in 'Web Call Server 3' started by Indrajith K L, Sep 8, 2015.

  1. Indrajith K L

    Indrajith K L New Member

    Hi there, today we upgraded our Flashphoner Web Call server 3.0.885 to 3.0.1312 but the issue is neither we cannot activate our server or we cannot start the server.
    While running activation.sh with our License number we get the following error:

    Code:
    It seems we can not connect to activation server or get response on the activation request. Make sure the server is able to connect to Internet.
    com.flashphoner.my_flashphoner.licenser_agent.B.A.B: Can not get response from activation server
        at com.flashphoner.my_flashphoner.licenser_agent.Activation.httpsRequest(Unknown Source)
        at com.flashphoner.my_flashphoner.licenser_agent.Activation.activate(Unknown Source)
        at com.flashphoner.my_flashphoner.licenser_agent.Activation.main(Unknown Source)
    Caused by: javax.net.ssl.SSLException: java.lang.RuntimeException: Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty
        at sun.security.ssl.Alerts.getSSLException(Alerts.java:208)
        at sun.security.ssl.SSLSocketImpl.fatal(SSLSocketImpl.java:1904)
        at sun.security.ssl.SSLSocketImpl.fatal(SSLSocketImpl.java:1862)
        at sun.security.ssl.SSLSocketImpl.handleException(SSLSocketImpl.java:1845)
        at sun.security.ssl.SSLSocketImpl.startHandshake(SSLSocketImpl.java:1366)
        at sun.security.ssl.SSLSocketImpl.startHandshake(SSLSocketImpl.java:1343)
        at sun.net.www.protocol.https.HttpsClient.afterConnect(HttpsClient.java:559)
        at sun.net.www.protocol.https.AbstractDelegateHttpsURLConnection.connect(AbstractDelegateHttpsURLConnection.java:185)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1301)
        at sun.net.www.protocol.https.HttpsURLConnectionImpl.getInputStream(HttpsURLConnectionImpl.java:254)
        ... 3 more
    Caused by: java.lang.RuntimeException: Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty
        at sun.security.validator.PKIXValidator.<init>(PKIXValidator.java:90)
        at sun.security.validator.Validator.getInstance(Validator.java:179)
        at sun.security.ssl.X509TrustManagerImpl.getValidator(X509TrustManagerImpl.java:314)
        at sun.security.ssl.X509TrustManagerImpl.checkTrustedInit(X509TrustManagerImpl.java:173)
        at sun.security.ssl.X509TrustManagerImpl.checkTrusted(X509TrustManagerImpl.java:186)
        at sun.security.ssl.X509TrustManagerImpl.checkServerTrusted(X509TrustManagerImpl.java:126)
        at sun.security.ssl.ClientHandshaker.serverCertificate(ClientHandshaker.java:1428)
        at sun.security.ssl.ClientHandshaker.processMessage(ClientHandshaker.java:209)
        at sun.security.ssl.Handshaker.processLoop(Handshaker.java:913)
        at sun.security.ssl.Handshaker.process_record(Handshaker.java:849)
        at sun.security.ssl.SSLSocketImpl.readRecord(SSLSocketImpl.java:1023)
        at sun.security.ssl.SSLSocketImpl.performInitialHandshake(SSLSocketImpl.java:1332)
        at sun.security.ssl.SSLSocketImpl.startHandshake(SSLSocketImpl.java:1359)
        ... 8 more
    Caused by: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty
        at java.security.cert.PKIXParameters.setTrustAnchors(PKIXParameters.java:200)
        at java.security.cert.PKIXParameters.<init>(PKIXParameters.java:120)
        at java.security.cert.PKIXBuilderParameters.<init>(PKIXBuilderParameters.java:104)
        at sun.security.validator.PKIXValidator.<init>(PKIXValidator.java:88)
        ... 20 more
    
    We tried pinging various server to check the outgoing connection, but there is noting wrong with internet connection. Our server is in Amazon EC2. Is there any additional configuration we should do?

    Thanks
  2. Max

    Max Administrator Staff Member

  3. Indrajith K L

    Indrajith K L New Member

    java version "1.7.0_80"
    Java(TM) SE Runtime Environment (build 1.7.0_80-b15)
    Java HotSpot(TM) 64-Bit Server VM (build 24.80-b11, mixed mode)

    Should I need latest version on Java or something?
    Last edited: Sep 8, 2015
  4. Max

    Max Administrator Staff Member

    Try this
    Try to edit activation.sh script and add similar string:
    Code:
    -Djavax.net.ssl.trustStore=/etc/ssl/certs/java/cacerts
  5. Indrajith K L

    Indrajith K L New Member

    thanks its activated now

Share This Page